Skip to navigation

Add step to template's workflow

View as Markdown
Adds a new step to a template's workflow.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

templateIdstringRequired
The ID of the template.

Request

This endpoint expects an object: workflowStep

actionstringOptional

Indicates the action to perform. Valid values:

  • pause_before: The workflow should pause before the trigger described by triggerOnItem is reached.
completedDatestringOptional

The timestamp of when the workflow step transitioned to completed status.

This property is read-only.

delayedRoutingobjectOptional
A complex element that specifies the delayed routing settings for the workflow step.
itemIdstringOptional
The unique ID of the item being triggered.
recipientRoutingobjectOptional
Describes the recipient routing rules.
statusstringOptional

The status of the step. Valid values:

  • inactive
  • in_progress
  • paused
  • pending
  • completed

This property is read-only.

triggeredDatestringOptional

The timestamp of when the workflow step transitioned to in_progress status.

This property is read-only.

triggerOnItemstringOptional

The type of item that triggers this workflow step. Valid values:

  • routing_order
workflowStepIdstringOptional

A unique identifier for this workflow step.

This property is read-only.

Response

Successful response.
actionstringOptional

Indicates the action to perform. Valid values:

  • pause_before: The workflow should pause before the trigger described by triggerOnItem is reached.
completedDatestringOptional

The timestamp of when the workflow step transitioned to completed status.

This property is read-only.

delayedRoutingobjectOptional
A complex element that specifies the delayed routing settings for the workflow step.
itemIdstringOptional
The unique ID of the item being triggered.
recipientRoutingobjectOptional
Describes the recipient routing rules.
statusstringOptional

The status of the step. Valid values:

  • inactive
  • in_progress
  • paused
  • pending
  • completed

This property is read-only.

triggeredDatestringOptional

The timestamp of when the workflow step transitioned to in_progress status.

This property is read-only.

triggerOnItemstringOptional

The type of item that triggers this workflow step. Valid values:

  • routing_order
workflowStepIdstringOptional

A unique identifier for this workflow step.

This property is read-only.

Errors

400
Bad Request Error